Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.anakia
Class OutputWrapper

    java.lang.Object
      |
      +--org.jdom.output.XMLOutputter
            |
            +--org.apache.velocity.anakia.OutputWrapper

All Implemented Interfaces:
  java.lang.Cloneable

public class OutputWrapper
extends org.jdom.output.XMLOutputter

This class extends XMLOutputter in order to provide a way to walk an Element tree into a String.

Version:
  $Id: OutputWrapper.java,v 1.5 2001/03/20 00:47:44 jon Exp $
Author:
  Jon S. Stevens, Sam Ruby

Inner classes inherited from class org.jdom.output.XMLOutputter
`org.jdom.output.XMLOutputter.NamespaceStack`

Fields inherited from class org.jdom.output.XMLOutputter
`CVS_ID, encoding, expandEmptyElements, indent, lineSeparator, newlines, omitDeclaration, omitEncoding, STANDARD_INDENT, textNormalize`

Constructor Summary
`OutputWrapper()` Empty constructor

Method Summary
`java.lang.String` | `outputString(org.jdom.Element element, boolean strip)` This method walks an Element tree into a String.

Methods inherited from class org.jdom.output.XMLOutputter
`createNamespaceStack, endsWithWhite, escapeAttributeEntities, escapeElementEntities, getElementText, indent, isEmpty, isStringOnly, isWhitespace, makeWriter, makeWriter, maybePrintln, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, outputElementContent, outputElementContent, outputString, outputString, outputString, outputString, outputString, outputString, outputString, parseArgs, printAdditionalNamespaces, printAttributes, printCDATA, printComment, printDeclaration, printDocType, printElement, printElementContent, printElementNamespace, printEntityRef, printNamespace, printProcessingInstruction, printString, setEncoding, setExpandEmptyElements, setIndent, setIndent, setIndentLevel, setIndentSize, setLineSeparator, setNewlines, setOmitDeclaration, setOmitEncoding, setPadText, setSuppressDeclaration, setTextNormalize, setTrimText, startsWithWhite`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### OutputWrapper

    public OutputWrapper()

  Empty constructor

Method Detail

### outputString

    public java.lang.String outputString(org.jdom.Element element,
                                         boolean strip)

  This method walks an Element tree into a String. The cool thing about it is that it will strip off the first Element. For example, if you have:

  <td> foo <strong>bar</strong> ack </td>

  It will output

  foo <strong>bar</strong> ack </td>

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.